complexType "Allocation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 8 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | allocationTradeId?, partyReference, (allocatedFraction? | allocatedNotional?), collateral?, creditChargeAmount?, approvals?, masterConfirmationDate?
</...>

Content Model Elements (8):

  allocatedFraction,
  allocatedNotional,
  allocationTradeId,
  approvals,
  collateral,
  creditChargeAmount,
  masterConfirmationDate,
  partyReference (defined in PartyAndAccountReferences.model group)

All Direct / Indirect Based Elements (1):

  allocation

Known Usage Locations

- As direct type of elements (1):
  allocation

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="Allocation"> <xsd:sequence> <xsd:element minOccurs="0" name="allocationTradeId" type="TradeIdentifier"/> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:choice> <xsd:element minOccurs="0" name="allocatedFraction" type="xsd:decimal"/> <xsd:element minOccurs="0" name="allocatedNotional" type="Money"/> </xsd:choice> <xsd:group ref="AllocationContent.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/8)
allocatedFraction

  Type: | xsd:decimal, predefined, simple content

  The fractional allocation (0.45 = 45%) of the notional and "block" fees to this particular client subaccount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocatedFraction" type="xsd:decimal"/>

allocatedNotional

  Type: | Money, complex content

  The notional allocation (amount and currency) to this particular client account.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocatedNotional" type="Money"/>

allocationTradeId

  Type: | TradeIdentifier, complex content

  Unique ID for the allocation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocationTradeId" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.